Updates one AI provider. Only fields present in the body are written. If `apiKey` is omitted or empty, the existing encrypted key is preserved.…
bearerAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/ai/providers/11111111-1111-4111-8111-111111111111" \ -H "Content-Type: application/json" \ -d '{ "priority": 1, "enabled": false }'{
"id": "11111111-1111-4111-8111-111111111111",
"label": "Primary provider",
"providerType": "openai",
"model": "example-model",
"baseUrl": "https://api.example.com/v1",
"thinkingMode": "provider_default",
"openAiEndpointMode": "chat_completions",
"maxOutputTokensField": "max_tokens",
"supportsThinkingMode": false,
"minimumThinkingTokens": null,
"omitSamplingWhenThinking": false,
"hasApiKey": true,
"inputCostPer1MUncached": 2.5,
"inputCostPer1MCached": 1.25,
"outputCostPer1M": 10,
"enabled": false,
"priority": 1,
"scheduleEnabled": false,
"scheduleStart": "00:00",
"scheduleEnd": "23:59",
"scheduleTimezone": "UTC",
"consecutiveFailures": 0,
"circuitOpenUntil": null,
"lastError": null
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}Try it
Your API key is sent directly to the Convor API from your browser and is never stored on this site.
Was this page helpful?